# RT_REST

RT5 REST interface code example

## About
This is a php implementation of the curl command to provide an example interface to an RT5 system that has been configured for allowing token authentication to the REST 2.0 interface, and this has been provided in order to allow forms to interface with the instance in a simplified fashion.

## Issues and configuration
- The json structure needs to match up correctly with the particular ticket involved, otherwise the information provided is ignored.
- Some fields in the ticket are actually numerical rather than text. This applies to the Priority field, where attempting top provide 'Low', rather than the numerical values 1,2,3 will create an error.
- The key provided in this example needs to be changed for a valid key for the system concerned. This key merely provides an example of the format.
- Authentication of the system being connected to by curl can be ignored using CURLOPT_SSL_VERIFYPEER. This is equivalent of the curl -k switch. This should not be done on a production system.
- A second switch CURLOPT_SSL_VERIFYHOST, is included to allow test systems to use 'snake oil' certificates. Again this should be commented out in a production system.

